B10-RESOLVER(8)

NAME
b10-resolver - Recursive DNS server

SYNOPSIS

b10-resolver [-u username] [-v]

DESCRIPTION

The b10-resolver daemon provides the BIND 10 recursive DNS server. Normally it is started by the bind10(8) boss process.

This daemon communicates with other BIND 10 components over a b10-msgq(8) C-Channel connection. If this connection is not established, b10-resolver will exit.

It also receives its configurations from b10-cfgmgr(8).

OPTIONS

The arguments are as follows:

-u username
    The user name of the b10-resolver daemon. If specified, the daemon changes the process owner to the specified user. The username must be either a valid numeric user ID or a valid user name. By default the daemon runs as the user who invokes it.

-v
    Enabled verbose mode. This enables diagnostic messages to STDERR.

CONFIGURATION AND COMMANDS

The configurable settings are:

forward_addresses defines the list of addresses and ports that b10-resolver should forward queries to. Defining this enables forwarding.

listen_on is a list of addresses and ports for b10-resolver to listen on. The list items are the address string and port number. The defaults are address ::1 port 5300 and address 127.0.0.1 port 5300.

retries is the number of times to retry (resend query) after a query timeout (timeout_query). The default is 3.

root_addresses is a list of addresses and ports for b10-resolver to use directly as root servers to start resolving. The list items are the address string and port number. If empty, a hardcoded address for F-root (192.5.5.241) is used.

timeout_client is the number of milliseconds to wait before timing out the incoming client query. If set to -1, this timeout is disabled. The default is 4000. After this timeout, a SERVFAIL is sent back to the client asking the question. (The lookup may continue after the timeout, but a later answer is not returned for the now-past query.)

timeout_lookup is the number of milliseconds before it stops trying the query. If set to -1, this timeout is disabled. The default is 30000.

timeout_query is the number of milliseconds to wait before it retries a query. If set to -1, this timeout is disabled. The default is 2000.

The configuration command is:

shutdown exits b10-resolver. (Note that the BIND 10 boss process will restart this service.)

SEE ALSO

b10-cfgmgr(8), b10-cmdctl(8), b10-msgq(8), bind10(8), BIND 10 Guide.

HISTORY

The b10-resolver daemon was first coded in September 2010. The initial implementation only provided forwarding. Iteration was introduced in January 2011.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")